diff --git a/game/core/src/main/java/net/minecraft/core/item/ItemMap.java b/game/core/src/main/java/net/minecraft/core/item/ItemMap.java
index 11b149740..dde2ff1d0 100644
--- a/game/core/src/main/java/net/minecraft/core/item/ItemMap.java
+++ b/game/core/src/main/java/net/minecraft/core/item/ItemMap.java
@@ -60,8 +60,8 @@ public class ItemMap extends Item implements IComplexItem
 				}
 			}
             mapData = new ItemMapSavedData(s);
-			mapData.x = world.getLevelData().getSpawnX();
-			mapData.z = world.getLevelData().getSpawnZ();
+			mapData.x = world.getLevelData().getSpawnPos().x();
+			mapData.z = world.getLevelData().getSpawnPos().z();
 			mapData.scale = scale;
 			mapData.dimension = (byte)world.dimension.id;
 			mapData.setDirty();
@@ -104,8 +104,8 @@ public class ItemMap extends Item implements IComplexItem
 				}
 			}
             mapData = new ItemMapSavedData(s);
-            mapData.x = world.getLevelData().getSpawnX();
-            mapData.z = world.getLevelData().getSpawnZ();
+            mapData.x = world.getLevelData().getSpawnPos().x();
+            mapData.z = world.getLevelData().getSpawnPos().z();
             mapData.scale = scale;
             mapData.dimension = (byte)world.dimension.id;
             mapData.setDirty();
@@ -157,7 +157,7 @@ public class ItemMap extends Item implements IComplexItem
 		final int entityOnMapZ = MathHelper.floor(entity.z - (double) mapCenterZ) / blocksPerPixel + mapHeight / 2;
 
 		int discoverRadius = 128 / blocksPerPixel;
-		if(world.worldType.hasCeiling()) {
+		if(world.getWorldType().hasCeiling()) {
 			discoverRadius /= 2;
 		}
 		
@@ -203,7 +203,7 @@ public class ItemMap extends Item implements IComplexItem
 				int waterDepth = 0;
 				double pixelHeight = 0.0D;
 				
-				if(world.worldType.hasCeiling()) {
+				if(world.getWorldType().hasCeiling()) {
 					//Determine Color (Nether)
 					int rand = blockX + blockZ * 0x389bf;
 					rand = rand * rand * 0x1dd6751 + rand * 11;
diff --git a/game/core/src/main/java/net/minecraft/core/world/Dimension.java b/game/core/src/main/java/net/minecraft/core/world/Dimension.java
index 3ec417331..f4693a627 100644
--- a/game/core/src/main/java/net/minecraft/core/world/Dimension.java
+++ b/game/core/src/main/java/net/minecraft/core/world/Dimension.java
@@ -37,7 +37,7 @@ public class Dimension
 		{
 			return world.getDimensionData();
 		}
-		DimensionData dimensionData = world.getLevelStorage().getDimensionData(this.id);
+		DimensionData dimensionData = world.getLevelStorage().getDimensionData(this);
 		if (dimensionData == null) dimensionData = new DimensionData(this.defaultWorldType);
 		
 		return dimensionData;
diff --git a/game/core/src/main/java/net/minecraft/core/world/IVehicle.java b/game/core/src/main/java/net/minecraft/core/world/IVehicle.java
index a909cf7f5..4aba9a3b2 100644
--- a/game/core/src/main/java/net/minecraft/core/world/IVehicle.java
+++ b/game/core/src/main/java/net/minecraft/core/world/IVehicle.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world;
 
 import net.minecraft.core.entity.Entity;
+import org.jetbrains.annotations.Nullable;
 
 public interface IVehicle {
     boolean isRemoved();
@@ -9,7 +10,7 @@ public interface IVehicle {
 
     void positionRider();
 
-    void setPassenger(Entity entity);
+    void setPassenger(@Nullable Entity entity);
 
     Entity getPassenger();
 
